This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 172776 - vconfig add on bonded device causes link down on physical device
vconfig add on bonded device causes link down on physical device
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: vconfig (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-09 11:06 EST by Benny Amorsen
Modified: 2015-03-04 20:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:14:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Benny Amorsen 2005-11-09 11:06:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; da-DK; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
When I add a new VLAN to bond0, eth0 ends up with link down. I can fix it with ifconfig eth0 up afterwards.

Version-Release number of selected component (if applicable):
vconfig-1.8-7

How reproducible:
Always

Steps to Reproduce:
1. Setup:

bond0 is bonding device for eth0 and eth2. No IP address assigned.

2. # ethtool eth0| grep Link
        Link detected: yes

3. Now I add a new VLAN to bond0, in order to create bond0.906:
   # vconfig add bond0 906

  

Actual Results:  # ethtool eth0| grep Link
        Link detected: no

Expected Results:   ethtool eth0| grep Link
        Link detected: yes

Additional info:

kernel-smp-2.6.13-1.1532_FC4
Comment 1 Benny Amorsen 2006-01-05 11:09:11 EST
The problem persists in kernel-smp-2.6.14-1.1653_FC4
Comment 2 Phil Knirsch 2006-02-10 08:39:44 EST
Please give the latest vconfig-1.9 in FC-Devel a try if the problem still exists.

Read ya, Phil
Comment 3 Benny Amorsen 2006-02-13 10:37:34 EST
Reproduced with vconfig-1.9-1.1 and kernel-smp-2.6.15-1.1831_FC4. No change,
unfortunately.
Comment 4 Phil Knirsch 2006-02-13 11:00:46 EST
OK, will need to investigate this bug further then.

Will keep this bugzilla updated and put in a new comment as soon as i know more.

Read ya, Phil
Comment 6 Christian Iseli 2007-01-22 06:37:28 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 7 Benny Amorsen 2007-01-27 16:11:14 EST
Reproduced with kernel kernel 2.6.19-1.2895.fc6 and vconfig-1.9-2.1. This is not
exactly hard to reproduce.
Comment 8 Benny Amorsen 2007-04-02 03:56:05 EDT
Can I get this one out of NEEDINFO? It's still there with 2.6.20-1.2925.fc6.
Comment 9 Benny Amorsen 2007-12-18 17:49:10 EST
Just reproduced in kernel-2.6.23.8-34.fc7. I can reproduce in rawhide anytime,
if someone cares.
Comment 10 Benny Amorsen 2007-12-18 18:43:51 EST
Reproduced in 2.6.24-0.83.rc5.fc9
Comment 11 Bug Zapper 2008-04-03 12:37:06 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 12 Benny Amorsen 2008-04-04 07:00:40 EDT
Reproduced with 2.6.25-0.185.rc7.git6.fc9.i686 and vconfig-1.9-6.fc9. (Both from
current rawhide).
Comment 13 Bug Zapper 2008-05-13 22:03:32 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 John Newbigin 2008-08-27 02:27:44 EDT
This sounds like #432622 which I came across on EL4. hotplug seems to be the problem.
Comment 15 Bug Zapper 2009-06-09 18:04:38 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Bug Zapper 2009-07-14 13:14:02 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.